package com.zt;

import cn.hutool.core.date.DateUtil;
import cn.hutool.http.HttpRequest;
import cn.hutool.http.HttpResponse;
import cn.hutool.http.HttpUtil;
import cn.hutool.json.JSONUtil;
import com.zt.common.pojo.CeShi;
import com.zt.common.utils.SingUtil;

import java.util.Date;

/**
 * @Date 2025/3/31 15:33
 * @Author neko
 **/
public class Main {
    private static final String APP_ID = "your_app_id";
    private static final String BASE_URL = "http://localhost:8088/api";
    public static void main(String[] args) {
        String reqId = "123";
        String reqTime = "1";
        String goodsId = "1";
        Integer amount = 2;
        Double price = 1.0;
        String mobile = "13800000000";
        String nowDate = DateUtil.format(new Date(), "yyyy-MM-dd");

        String sign = SingUtil.generateSign(APP_ID, goodsId, reqId, reqTime);

        // 调用接口一
        CeShi params = new CeShi();
        params.setAppId(APP_ID);
        params.setSign(sign);
        params.setReqTime(reqTime);
        params.setGoodsId(goodsId);
        params.setAmount(amount);
        params.setPrice(price);
        params.setMobile(mobile);
        params.setNowDate(nowDate);

        String jsonParams = JSONUtil.toJsonStr(params);
        HttpResponse response1 = HttpRequest.post(BASE_URL + "/interface1")
                .header("reqId", reqId)
                .body(jsonParams)
                .execute();
        System.out.println("接口一响应：" + response1.body());

        // 调用接口二
        String url = BASE_URL + "/interface2?" +
                "appId=" + APP_ID +
                "&sign=" + sign +
                "&reqTime=" + reqTime +
                "&goodsId=" + goodsId +
                "&amount=" + amount +
                "&price=" + price +
                "&mobile=" + mobile +
                "&nowDate=" + nowDate;
        HttpResponse response2 = HttpUtil.createGet(url)
                .header("reqId", reqId)
                .execute();
        System.out.println("接口二响应：" + response2.body());
    }
}
