package com.zt.common.pojo;

import com.fasterxml.jackson.annotation.JsonFormat;
import jakarta.validation.constraints.*;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Date 2025/3/31 15:25
 * @Author neko
 **/
@Data
public class CeShi {
    @NotBlank(message = "appId 不能为空")
    private String appId;
    @NotBlank(message = "sign 不能为空")
    private String sign;
    @NotBlank(message = "reqTime 不能为空")
    private String reqTime;
    @NotBlank(message = "goodsId 不能为空")
    private String goodsId;
    @NotNull(message = "amount 不能为空")
    @Min(value = 1, message = "商品数量大于0")
    private Integer amount;
    @NotNull(message = "price 不能为空")
    @DecimalMin(value = "0", message = "价格大于0")
    @DecimalMax(value = "9999", message = "价格小于9999")
    private Double price;
    @NotBlank(message = "mobile 不能为空")
    @Pattern(regexp = "^1[3-9]\\d{9}$", message = "手机号格式不正确")
    private String mobile;
    @NotBlank(message = "nowDate 不能为空")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone ="GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String nowDate;
}
